Description

On os X or linux w/ the kepler suite, | get an NPE when I try to run a search in the Semantic Search dialog:

[run] Jjava.lang.NullPointerException

[run] at org.kepler.objectmanager.ActorMetadata.getActorAsNamedObj (ActorMetadata.java:69
3)

[run] at org.kepler.gui.GraphicalActorMetadata.&lt;inité&gt; (GraphicalActorMetadata. java:
72)

[run] at org.kepler.sms.gui.SemanticSearchDialog._getObjectsToSearch (SemanticSearchDialo
g.java:583)

[run] at org.kepler.sms.gui.SemanticSearchDialog._doSearch (SemanticSearchDialog.java:498
)

[run] at org.kepler.sms.gui.SemanticSearchDialog.access$800 (SemanticSearchDialog. java:88
)

[run] at org.kepler.sms.gui.SemanticSearchDialog$_SearchTask.run (SemanticSearchDialog. ja
va:476)

[run] at java.lang.Thread.run (Thread. java:637)
History

#1 - 12/14/2009 05:35 PM - Derik Barseghian

The error has changed to:

java.lang.ClassCastException: org.kepler.objectmanager.cache.ReportLayoutCacheObject

at org.kepler.sms.gui.SemanticSearchDialog._getObjectsToSearch(SemanticSearchDialog.java:577)
at org.kepler.sms.gui.SemanticSearchDialog._doSearch(SemanticSearchDialog.java:497)

at org.kepler.sms.gui.SemanticSearchDialog.access$8(SemanticSearchDialog.java:493)

at org.kepler.sms.gui.SemanticSearchDialog$_SearchTask.run(SemanticSearchDialog.java:475)

#2 - 01/13/2010 04:31 PM - Derik Barseghian

The error for this is now:

java.lang.NullPointerException
at org.kepler.objectmanager.ActorMetadata.getActorAsNamedObj(ActorMetadata.java:778)

at org.kepler.gui.GraphicalActorMetadata.<init>(GraphicalActorMetadata.java:72)

at org.kepler.sms.gui.SemanticSearchDialog._getObjectsToSearch(SemanticSearchDialog.java:580)
at org.kepler.sms.gui.SemanticSearchDialog._doSearch(SemanticSearchDialog.java:497)

at org.kepler.sms.gui.SemanticSearchDialog.access$8(SemanticSearchDialog.java:493)

at org.kepler.sms.gui.SemanticSearchDialog$_SearchTask.run(SemanticSearchDialog.java:475)

at java.lang.Thread.run(Thread.java:613)

#3 - 01/13/2010 06:38 PM - Derik Barseghian

fixed in r22488, semantic search can return results now.

#4 - 03/27/2013 02:27 PM - Redmine Admin

Original Bugzilla ID was 4505
